Hanzo
API Reference

Hanzo Edge API

Hanzo Edge provides serverless edge functions with global deployment,

Hanzo Edge provides serverless edge functions with global deployment,

Base URLhttps://edge.hanzo.ai
Version1.0.0
Operations18
GuideHanzo Edge API guide

Authentication

  • bearerAuth — HTTP bearer
  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://edge.hanzo.ai

Endpoints

Domains

MethodEndpointDescription
GET/v1/edge/domainsList custom domains
POST/v1/edge/domainsAdd custom domain
DELETE/v1/edge/domains/{id}Remove custom domain

Functions

MethodEndpointDescription
GET/v1/edge/functionsList functions
POST/v1/edge/functionsCreate function
GET/v1/edge/functions/{slug}Get function
PUT/v1/edge/functions/{slug}Update function
DELETE/v1/edge/functions/{slug}Delete function
POST/v1/edge/functions/{slug}/deployDeploy function
POST/v1/edge/functions/{slug}/invokeInvoke function
GET/v1/edge/functions/{slug}/metricsGet function metrics

Logs

MethodEndpointDescription
GET/v1/edge/functions/{slug}/logsGet function logs

Secrets

MethodEndpointDescription
GET/v1/edge/secretsList secrets
POST/v1/edge/secretsCreate secret
PUT/v1/edge/secrets/{name}Update secret
DELETE/v1/edge/secrets/{name}Delete secret

Versions

MethodEndpointDescription
GET/v1/edge/functions/{slug}/versionsList function versions
POST/v1/edge/functions/{slug}/rollbackRollback to version

Hanzo Edge API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page